Bug 186235 - [ESNext][BigInt] Implement support for "^"
Summary: [ESNext][BigInt] Implement support for "^"
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Caio Lima
URL:
Keywords: InRadar
Depends on:
Blocks: 179001 190264
  Show dependency treegraph
 
Reported: 2018-06-02 06:57 PDT by Caio Lima
Modified: 2018-10-19 12:33 PDT (History)
8 users (show)

See Also:


Attachments
WIP - Patch (18.88 KB, patch)
2018-10-06 08:08 PDT, Caio Lima
no flags Details | Formatted Diff | Diff
WIP - Patch (18.88 KB, patch)
2018-10-06 08:11 PDT, Caio Lima
no flags Details | Formatted Diff | Diff
WIP - Patch (18.74 KB, patch)
2018-10-09 17:10 PDT, Caio Lima
no flags Details | Formatted Diff | Diff
Patch (18.79 KB, patch)
2018-10-17 05:22 PDT, Caio Lima
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Caio Lima 2018-06-02 06:57:37 PDT
...
Comment 1 Caio Lima 2018-10-06 08:08:21 PDT
Created attachment 351725 [details]
WIP - Patch
Comment 2 Caio Lima 2018-10-06 08:11:22 PDT
Created attachment 351726 [details]
WIP - Patch
Comment 3 Caio Lima 2018-10-09 17:10:54 PDT
Created attachment 351928 [details]
WIP - Patch
Comment 4 Saam Barati 2018-10-10 08:53:37 PDT
Did you want to mark this for review?
Comment 5 Caio Lima 2018-10-10 09:32:25 PDT
(In reply to Saam Barati from comment #4)
> Did you want to mark this for review?

Not yet! I just forgot to put the title WIP.
Comment 6 Caio Lima 2018-10-17 05:22:45 PDT
Created attachment 352562 [details]
Patch
Comment 7 Yusuke Suzuki 2018-10-18 06:07:04 PDT
Comment on attachment 352562 [details]
Patch

r=me
Comment 8 Caio Lima 2018-10-19 12:06:09 PDT
Thx for the review!
Comment 9 WebKit Commit Bot 2018-10-19 12:31:44 PDT
Comment on attachment 352562 [details]
Patch

Clearing flags on attachment: 352562

Committed r237296: <https://trac.webkit.org/changeset/237296>
Comment 10 WebKit Commit Bot 2018-10-19 12:31:46 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2018-10-19 12:33:27 PDT
<rdar://problem/45413406>